<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']="Подарок для $ank[nick]";
include_once '../sys/inc/thead.php';
if(!isset($user)){
echo '<div class="err">закрыт для гостей.</div>';
}else{
only_reg();

title();
aut();


if (!isset($_GET['user']) && !is_numeric($_GET['user'])){header("Location: /index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['user'])."' LIMIT 1",$db), 0)==0){header("Location: /index.php?".SID);exit;}
$ank=get_user(intval($_GET['user']));







if(isset($_GET['p']) && isset($_GET['dir']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir` WHERE `id` = '".intval($_GET['dir'])."'"),0) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id` = '".intval($_GET['p'])."'"),0))
{
$p=mysql_fetch_array(mysql_query("select * from `present_list` where `id`='".intval($_GET['p'])."';"));
if ($p['prise'] > $user['balls'])
{
$err='У вас недостаточно баллов';
err();
echo"<div class='foot'>\n";
echo"<a href='?user=$ank[id]&amp;dir=".intval($_GET['dir'])."'>Назад</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}

if(isset($_POST['komm']))
{
$komm=mysql_real_escape_string($_POST['komm']);
if (strlen2($komm)>150)$err='Комментарий превышает предел в 150 символов';
if (!isset($err))
{
$komm=stripcslashes(htmlspecialchars($_POST['komm']));
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$p['prise'])."' WHERE `id` ='$user[id]';");
mysql_query("INSERT INTO `present_give` SET `id_user` = '".$user['id']."', `id_give` = '$ank[id]', `time` ='".time()."', `id_p` ='$p[id]', `coment` ='$komm';");     


$msg=mysql_real_escape_string($_POST['msg']);

$msg='Вам подарок от пользователя <b><a href="/info.php?id='.$user['id'].'">'.$user['nick'].'</a></b>';
mysql_query("INSERT INTO `present_jurnal` SET `msg` = '$msg', `id_user` = '$ank[id]', `time` ='".time()."';");
msg('Подарок подарен');
echo"<a href='/info.php?id=$ank[id]'>В анкету</a><br />\n";
include_once '../sys/inc/tfoot.php';
exit();   
}
}
err();
echo "<form method='post' action='?user=$ank[id]&amp;dir=".intval($_GET['dir'])."&amp;p=$p[id]'>\n";
echo "Коментарий к подарку:<br />\n<input type=\"text\" name=\"komm\" value=\"\" /><br />\n";
echo "<input value=\"Подарить\" type=\"submit\" />\n";
echo "</form>\n";

echo"<div class='foot'>\n";
echo"<a href='?user=$ank[id]&amp;dir=".intval($_GET['dir'])."'>Назад</a><br />\n";
echo"</div>\n";
}
else if(isset($_GET['dir']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir` WHERE `id` = '".intval($_GET['dir'])."'"),0))
{
$dir=mysql_fetch_array(mysql_query("select * from `present_dir` where `id`='".intval($_GET['dir'])."';"));
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id_dir` = '$dir[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if($k_post==0)
{
echo "<table class='post'>\n";
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Подарков в категории нету<br />";
echo "  </td>\n";
echo "   </tr>\n";
echo "</table>\n";
}

$res = mysql_query("select * from `present_list` WHERE `id_dir` = '$dir[id]' ORDER by `id` DESC LIMIT $start, $set[p_str];"); 
while ($post = mysql_fetch_array($res)){
if($num==1){ 
echo "<div class='rowdown'>"; 
$num=0;
}else{ 
echo "<div class='rowup'>"; 
$num=1;}
echo"<b>$post[name]</b><br />";
echo"<img src='$post[url]' /><br />";
echo "Цена: $post[prise]<br />\n";
echo"<a href='?user=$ank[id]&amp;dir=$dir[id]&amp;p=$post[id]'>Подарить этот подарок</a><br />\n";

echo "  </td>\n";
echo "   </tr>\n";
echo"</div>";

}

if ($k_page>1)str("?user=$ank[id]&amp;dir=$dir[id]&amp;",$k_page,$page); // Вывод страниц
echo"<div class='foot'>\n";
echo"<a href='?user=$ank[id]'>Назад</a><br />\n";
echo"</div>\n";
}
else
{
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";


if($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Категорий пока нету<br />";
echo "  </td>\n";
echo "   </tr>\n";
}

$res = mysql_query("select * from `present_dir` ORDER by `id` DESC LIMIT $start, $set[p_str];"); 
while ($post = mysql_fetch_array($res)){
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo"<a href='?user=$ank[id]&amp;dir=$post[id]'>$post[name]</a> (".mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id_dir` = '$post[id]'"),0).")<br />";
echo "  </td>\n";
echo "   </tr>\n";
}
echo"</table>";
if ($k_page>1)str("?user=$ank[id]&amp;",$k_page,$page); // Вывод страниц
}



}

include_once '../sys/inc/tfoot.php';
?>